This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 11284 - X-based installation fails on Dell Latitude CPi
X-based installation fails on Dell Latitude CPi
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-07 16:37 EDT by Rabbe Fogelholm
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 12:29:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rabbe Fogelholm 2000-05-07 16:37:56 EDT
It seems that the Red Hat Linux 6.2 X-based installer fails on the
Dell Latitude CPi (a Dell laptop made in 1999, service tag ZVH3L).

I booted the installation from a diskette made from pcmcia.img.
Having problems I tried to use pcmcia-20000407.img instead, together
with a diskette made from update-disk-20000419.img. This did not
help.

I use a local NFS server, loaded with a copy of the Red Hat 6.2
directory tree. Everything works fine with the pcmcia+NFS boot,
the update disk is prompted for, and there are signs of X activity
(screen blinking, the "X" cursor appears briefly). However, after
a second or two there are problems and the machine reboots.

I should add right away that a text mode installation works fine
(in fact, I am typing this on the very laptop now running 6.2).

Since the messages prior to the reboot appear very briefly, and
since they are not logged anywhere (the system has no usable
hard disk in this phase) I had some trouble to collect them.
Using a web camera I finally managed to record the following:

(--) SVGA: Using .. 128x128 areas for pixmap caching
(--) SVGA: XAA: Caching tiles and stipples
(--) SVGA: XAA: Horizontal and vertical lines and segments
The XKEYBOARD keymap compiler (xkbcomp) reports:
Error:   Can't find file "complete" for types include
         Exiting
         Abandoning keytypes file
Errors fromm xkbcomp are not fatal to the X server
Couldn't load XKB keymap, falling back to pre-XKB keymap
Unable to load
Traceback (innermost last):
File "/usr/bin/anaconda", line 235, in ?
  from gui import InstallInterface
File "/usr/lib/anaconda/gui.py", line 18, in ..
  print "Unable to load", file
NameError: file
Sending termination signals ... done
Sending kill signals ...

One more thing, since this problem seems related to the keyboard
I should mention that I selected "se-latin1", which is the keyboard
that my Dell Latitude CPi is equipped with. If someone thinks it
worthwhile I could try and see if the default keyboard selection
makes any difference.
Comment 1 Michael Fulbright 2000-06-09 18:27:30 EDT
Passed to test lab to verify.
Comment 2 Michael Fulbright 2000-10-23 15:08:17 EDT
Does Red Hat Linux 7 work better?
Comment 3 Brock Organ 2000-11-02 17:10:06 EST
hmmm ... this works in our test w/the closest hardware we have (Dell Latitude
CPx) ... but there are important differences between the CPi & CPx (video
adapter, for example Mach64 vs CPi's Neomagic?)... 

1) Do you have the full text of the traceback (described above) available ...?
2) Do you have this problem w/7 ...?
Comment 4 Michael Fulbright 2000-11-28 12:29:00 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.